Skip to main content
GET
/
address_registry
/
vaults
/
{vaultAccountId}
TypeScript
const response: Promise<FireblocksResponse<AddressRegistryGetVaultOptOutResponse>> = fireblocks.compliance.getAddressRegistryVaultOptOut(complianceApiGetAddressRegistryVaultOptOutRequest);
{
  "optedOut": false
}

Documentation Index

Fetch the complete documentation index at: https://fireblocks-43c4b3ee-chore-add-cli.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

vaultAccountId
integer<int32>
required

Vault account id (non-negative integer).

Required range: x >= 0
Example:

10001

Response

Current opt-out flag for the vault

Whether the given vault account is excluded from the address registry for your workspace.

optedOut
boolean
required

true if this vault account is excluded from the address registry; false if it is not excluded.

Example:

false